com.fasterxml.jackson.dataformat.javaprop.util

## Class JPropPathSplitter.FullSplitter

- java.lang.Object
- - com.fasterxml.jackson.dataformat.javaprop.util.JPropPathSplitter
  - - com.fasterxml.jackson.dataformat.javaprop.util.JPropPathSplitter.FullSplitter

- Enclosing class:
    JPropPathSplitter

      public static class JPropPathSplitter.FullSplitter
      extends JPropPathSplitter

  Instance that supports both path separator and index markers (and possibly also "simple" indexes)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.dataformat.javaprop.util.JPropPathSplitter

      `JPropPathSplitter.CharPathOnlySplitter, JPropPathSplitter.FullSplitter, JPropPathSplitter.IndexOnlySplitter, JPropPathSplitter.NonSplitting, JPropPathSplitter.StringPathOnlySplitter`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `_indexFirstChar`
    `protected Pattern` | `_indexMatch`
    `protected JPropPathSplitter` | `_simpleSplitter`

    - ### Fields inherited from class com.fasterxml.jackson.dataformat.javaprop.util.JPropPathSplitter

      `_useSimpleIndex`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JPropPathSplitter.FullSplitter(String pathSeparator, boolean useSimpleIndex, Markers indexMarker, JPropPathSplitter fallbackSplitter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JPropNode` | `splitAndAdd(JPropNode parent, String key, String value)` Main access method for splitting key into one or more segments and using segmentation to add the String value as a node in its proper location.

    - ### Methods inherited from class com.fasterxml.jackson.dataformat.javaprop.util.JPropPathSplitter

      `_addSegment, _asInt, _lastSegment, create`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _indexMatch

          protected final Pattern _indexMatch

    - #### _indexFirstChar

          protected final int _indexFirstChar

    - #### _simpleSplitter

          protected final JPropPathSplitter _simpleSplitter

  - ### Constructor Detail

    - #### JPropPathSplitter.FullSplitter

          public JPropPathSplitter.FullSplitter(String pathSeparator,
                                        boolean useSimpleIndex,
                                        Markers indexMarker,
                                        JPropPathSplitter fallbackSplitter)

  - ### Method Detail

    - #### splitAndAdd

          public JPropNode splitAndAdd(JPropNode parent,
                              String key,
                              String value)

      Description copied from class: `JPropPathSplitter`
      Main access method for splitting key into one or more segments and using segmentation to add the String value as a node in its proper location.
      Specified by:
        `splitAndAdd` in class `JPropPathSplitter`
      Returns:
        Newly added node

Copyright © 2017 FasterXML. All rights reserved.